net.minecraft.entity.projectile

## Class EntitySmallFireball

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.projectile.EntityFireball
    - - net.minecraft.entity.projectile.EntitySmallFireball

-     public class EntitySmallFireball
      extends EntityFireball

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.projectile.EntityFireball

      `accelerationX, accelerationY, accelerationZ, shootingEntity`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySmallFireball(World par1World)`
    `EntitySmallFireball(World par1World, double par2, double par4, double par6, double par8, double par10, double par12)`
    `EntitySmallFireball(World par1World, EntityLivingBase par2EntityLivingBase, double par3, double par5, double par7)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `boolean` | `canBeCollidedWith()`
    `protected void` | `onImpact(MovingObjectPosition par1MovingObjectPosition)`

    - ### Methods inherited from class net.minecraft.entity.projectile.EntityFireball

      `entityInit, getBrightness, getBrightnessForRender, getCollisionBorderSize, getMotionFactor, getShadowSize, isInRangeToRenderDist, onUpdate, readEntityFromNBT, writeEntityToNBT`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, fall, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getCollisionBox, getCommandSenderName, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getEyeHeight, getFlag, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, kill, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setBeenAttacked, setCurrentItemOrArmor, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotation, setRotationYawHead, setSize, setSneaking, setSprinting, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateFallState, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntitySmallFireball

          public EntitySmallFireball(World par1World)

    - #### EntitySmallFireball

          public EntitySmallFireball(World par1World,
                             EntityLivingBase par2EntityLivingBase,
                             double par3,
                             double par5,
                             double par7)

    - #### EntitySmallFireball

          public EntitySmallFireball(World par1World,
                             double par2,
                             double par4,
                             double par6,
                             double par8,
                             double par10,
                             double par12)

  - ### Method Detail

    - #### onImpact

          protected void onImpact(MovingObjectPosition par1MovingObjectPosition)

      Specified by:
        `onImpact` in class `EntityFireball`

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

      Overrides:
        `canBeCollidedWith` in class `EntityFireball`

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `EntityFireball`